import React from 'react';

import type { SlateLeafProps } from '@udecode/plate-common';

import { cn } from '@udecode/cn';
import { SlateLeaf } from '@udecode/plate-common';

export const CodeLeafStatic = ({
  children,
  className,
  ...props
}: SlateLeafProps) => {
  return (
    <SlateLeaf
      as='code'
      className={cn(
        className,
        'whitespace-pre-wrap rounded-md bg-zinc-100 px-[0.3em] py-[0.2em] font-mono text-sm dark:bg-zinc-800'
      )}
      {...props}
    >
      {children}
    </SlateLeaf>
  );
};
