import React from 'react';

import type { SlateElementProps } from '@udecode/plate-common';

import { cn } from '@udecode/cn';
import { SlateElement } from '@udecode/plate-common';

export function HrElementStatic({
  children,
  className,
  nodeProps,
  ...props
}: SlateElementProps) {
  return (
    <SlateElement className={className} {...props}>
      <div className='cursor-text py-6' contentEditable={false}>
        <hr
          {...nodeProps}
          className={cn(
            'h-0.5 rounded-sm border-none bg-zinc-100 bg-clip-content dark:bg-zinc-800'
          )}
        />
      </div>
      {children}
    </SlateElement>
  );
}
