import React from 'react';

import type { SlateElementProps } from '@udecode/plate-common';

import { cn } from '@udecode/cn';
import { SlateElement } from '@udecode/plate-common';

export const LinkElementStatic = ({
  children,
  className,
  ...props
}: SlateElementProps) => {
  return (
    <SlateElement
      as='a'
      className={cn(
        className,
        'font-medium text-zinc-900 underline decoration-primary underline-offset-4 dark:text-zinc-50'
      )}
      {...props}
    >
      {children}
    </SlateElement>
  );
};
