/** @type {import('tailwindcss').Config} */
export default {
	darkMode: ["class"],
	content: [
		"./index.html",
		"./src/**/*.{js,ts,jsx,tsx}",
	],
	theme: {
		extend: {
			borderRadius: {
				lg: 'var(--radius)',
				md: 'calc(var(--radius) - 2px)',
				sm: 'calc(var(--radius) - 4px)'
			},
			colors: {
				brand: {
					DEFAULT: 'hsl(0, 0%, 85%)', // Helles Grau
					foreground: 'hsl(0, 0%, 20%)' // Dunkleres Grau für den Vordergrund
				  },
				highlight: {
					DEFAULT: 'hsl(50, 100%, 50%)', // Ein kräftiges Gelb
					foreground: 'hsl(50, 100%, 20%)', // Ein dunkleres Gelb für Vordergrund
				},
			},
			screens: {
				'main-hover': {
					raw: '(hover: hover)'
				}
			}
		}
	},
	plugins: [require("tailwindcss-animate"), require("tailwind-scrollbar-hide")],
}

